Subject: Re: bug#5615: 23.1.92; [PATCH] term.el: Calculation of window height is bad (new patch)

From: [email-masked]
Date: Sat, 19 Aug 2017 23:34:24 -0400

tags 5615 fixed
close 5615 26.1
quit

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Date: Thu, 10 Aug 2017 20:45:16 -0400
>> Cc: IRIE Shinsuke <[email-masked]>, [email-masked]
>> 
>> Current Emacs still uses the same (1- (window-height)) expression, but I
>> can't understand from the description when exactly this gives the wrong
>> result.  Furthermore, I don't see any justification which would explain
>> why the new proposed significantly more complicated computation is more
>> correct.  I think we should just use window-text-height.
>
> I think you are right.  If no one objects in a few days, please push
> your change.

Pushed to master.

[1: dbd3a17cb0]: 2017-08-19 23:29:28 -0400
  * lisp/term.el (term-mode): Use `window-text-height' (Bug#5615).
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=dbd3a17cb068148bd49e288eb0b44ca7eb4a4e3c